Kea: isc::d2::D2Parser Class Reference

| Kea 3.0.2-git

isc::d2::D2Parser Class Reference

A Bison parser. More...

`#include <d2_parser.h>`

## Classes
struct | basic_symbol
| A complete symbol. More...
struct | by_kind
| Type access provider for token (enum) based symbols. More...
class | context
struct | symbol_kind
| Symbol kinds. More...
struct | symbol_type
| "External" symbols: returned by the scanner. More...
struct | syntax_error
| Syntax errors thrown from user actions. More...
struct | token
| Token kinds. More...
class | value_type
| A buffer to store and retrieve objects. More...

## Public Types
typedef by_kind | by_type
| Backward compatibility for a private implementation detail (Bison 3.6).
typedef location | location_type
| Symbol locations.
typedef value_type | semantic_type
| Backward compatibility (Bison 3.8).
typedef symbol_kind::symbol_kind_type | symbol_kind_type
| (Internal) symbol kind.
typedef token::token_kind_type | token_kind_type
| Token kind, as returned by yylex.
typedef token_kind_type | token_type
| Backward compatibility alias (Bison 3.6).

## Public Member Functions
| D2Parser (isc::d2::D2ParserContext &ctx_yyarg)
| Build a parser object.
virtual | ~D2Parser ()
virtual void | error (const location_type &loc, const std::string &msg)
| Report a syntax error.
void | error (const syntax_error &err)
| Report a syntax error.
int | operator() ()
| Parse.
virtual int | parse ()
| Parse.

## Static Public Member Functions
static symbol_type | make_ALGORITHM (const location_type &l)
static symbol_type | make_AUTHENTICATION (const location_type &l)
static symbol_type | make_BASIC (const location_type &l)
static symbol_type | make_BOOLEAN (const bool &v, const location_type &l)
static symbol_type | make_CERT_FILE (const location_type &l)
static symbol_type | make_CERT_REQUIRED (const location_type &l)
static symbol_type | make_CLIENTS (const location_type &l)
static symbol_type | make_COLON (const location_type &l)
static symbol_type | make_COMMA (const location_type &l)
static symbol_type | make_COMMENT (const location_type &l)
static symbol_type | make_CONTROL_SOCKET (const location_type &l)
static symbol_type | make_CONTROL_SOCKETS (const location_type &l)
static symbol_type | make_D2_PARSER_error (const location_type &l)
static symbol_type | make_D2_PARSER_UNDEF (const location_type &l)
static symbol_type | make_DDNS_DOMAINS (const location_type &l)
static symbol_type | make_DEBUGLEVEL (const location_type &l)
static symbol_type | make_DHCPDDNS (const location_type &l)
static symbol_type | make_DIGEST_BITS (const location_type &l)
static symbol_type | make_DIRECTORY (const location_type &l)
static symbol_type | make_DNS_SERVER_TIMEOUT (const location_type &l)
static symbol_type | make_DNS_SERVERS (const location_type &l)
static symbol_type | make_END (const location_type &l)
static symbol_type | make_FLOAT (const double &v, const location_type &l)
static symbol_type | make_FLUSH (const location_type &l)
static symbol_type | make_FORWARD_DDNS (const location_type &l)
static symbol_type | make_HOOKS_LIBRARIES (const location_type &l)
static symbol_type | make_HOSTNAME (const location_type &l)
static symbol_type | make_HTTP (const location_type &l)
static symbol_type | make_HTTPS (const location_type &l)
static symbol_type | make_INTEGER (const int64_t &v, const location_type &l)
static symbol_type | make_IP_ADDRESS (const location_type &l)
static symbol_type | make_JSON (const location_type &l)
static symbol_type | make_KEY_FILE (const location_type &l)
static symbol_type | make_KEY_NAME (const location_type &l)
static symbol_type | make_LCURLY_BRACKET (const location_type &l)
static symbol_type | make_LIBRARY (const location_type &l)
static symbol_type | make_LOGGERS (const location_type &l)
static symbol_type | make_LSQUARE_BRACKET (const location_type &l)
static symbol_type | make_MAXSIZE (const location_type &l)
static symbol_type | make_MAXVER (const location_type &l)
static symbol_type | make_NAME (const location_type &l)
static symbol_type | make_NCR_FORMAT (const location_type &l)
static symbol_type | make_NCR_PROTOCOL (const location_type &l)
static symbol_type | make_NULL_TYPE (const location_type &l)
static symbol_type | make_OUTPUT (const location_type &l)
static symbol_type | make_OUTPUT_OPTIONS (const location_type &l)
static symbol_type | make_PARAMETERS (const location_type &l)
static symbol_type | make_PASSWORD (const location_type &l)
static symbol_type | make_PASSWORD_FILE (const location_type &l)
static symbol_type | make_PATTERN (const location_type &l)
static symbol_type | make_PORT (const location_type &l)
static symbol_type | make_RCURLY_BRACKET (const location_type &l)
static symbol_type | make_REALM (const location_type &l)
static symbol_type | make_REVERSE_DDNS (const location_type &l)
static symbol_type | make_RSQUARE_BRACKET (const location_type &l)
static symbol_type | make_SECRET (const location_type &l)
static symbol_type | make_SECRET_FILE (const location_type &l)
static symbol_type | make_SEVERITY (const location_type &l)
static symbol_type | make_SOCKET_ADDRESS (const location_type &l)
static symbol_type | make_SOCKET_NAME (const location_type &l)
static symbol_type | make_SOCKET_PORT (const location_type &l)
static symbol_type | make_SOCKET_TYPE (const location_type &l)
static symbol_type | make_STRING (const std::string &v, const location_type &l)
static symbol_type | make_SUB_DDNS_DOMAIN (const location_type &l)
static symbol_type | make_SUB_DDNS_DOMAINS (const location_type &l)
static symbol_type | make_SUB_DHCPDDNS (const location_type &l)
static symbol_type | make_SUB_DNS_SERVER (const location_type &l)
static symbol_type | make_SUB_DNS_SERVERS (const location_type &l)
static symbol_type | make_SUB_HOOKS_LIBRARY (const location_type &l)
static symbol_type | make_SUB_TSIG_KEY (const location_type &l)
static symbol_type | make_SUB_TSIG_KEYS (const location_type &l)
static symbol_type | make_TCP (const location_type &l)
static symbol_type | make_TOPLEVEL_DHCPDDNS (const location_type &l)
static symbol_type | make_TOPLEVEL_JSON (const location_type &l)
static symbol_type | make_TRUST_ANCHOR (const location_type &l)
static symbol_type | make_TSIG_KEYS (const location_type &l)
static symbol_type | make_TYPE (const location_type &l)
static symbol_type | make_UDP (const location_type &l)
static symbol_type | make_UNIX (const location_type &l)
static symbol_type | make_USER (const location_type &l)
static symbol_type | make_USER_CONTEXT (const location_type &l)
static symbol_type | make_USER_FILE (const location_type &l)
static std::string | symbol_name (symbol_kind_type yysymbol)
| The user-facing name of the symbol whose (internal) number is YYSYMBOL.

## Static Public Attributes
static const symbol_kind_type | YYNTOKENS = symbol_kind::YYNTOKENS
| The number of tokens.

## Detailed Description

A Bison parser.

Definition at line 216 of file d2_parser.h.

## Member Typedef Documentation

## ◆ by_type

typedef by_kind isc::d2::D2Parser::by_type

Backward compatibility for a private implementation detail (Bison 3.6).

Definition at line 1153 of file d2_parser.h.

## ◆ location_type

typedef location isc::d2::D2Parser::location_type

Symbol locations.

Definition at line 470 of file d2_parser.h.

## ◆ semantic_type

typedef value_type isc::d2::D2Parser::semantic_type

Backward compatibility (Bison 3.8).

Definition at line 467 of file d2_parser.h.

## ◆ symbol_kind_type

typedef symbol_kind::symbol_kind_type isc::d2::D2Parser::symbol_kind_type

(Internal) symbol kind.

Definition at line 880 of file d2_parser.h.

## ◆ token_kind_type

typedef token::token_kind_type isc::d2::D2Parser::token_kind_type

Token kind, as returned by yylex.

Definition at line 584 of file d2_parser.h.

## ◆ token_type

typedef token_kind_type isc::d2::D2Parser::token_type

Backward compatibility alias (Bison 3.6).

Definition at line 587 of file d2_parser.h.

## Constructor & Destructor Documentation

## ◆ D2Parser()

isc::d2::D2Parser::D2Parser | ( | isc::d2::D2ParserContext & | ctx_yyarg | ) |

Build a parser object.

Definition at line 152 of file d2_parser.cc.

Referenced by isc::d2::D2Parser::context::context().

## ◆ ~D2Parser()

isc::d2::D2Parser::~D2Parser | ( |  | ) |
| virtual

Definition at line 162 of file d2_parser.cc.

## Member Function Documentation

## ◆ error() [1/2]

void isc::d2::D2Parser::error | ( | const location_type & | loc,
|  | const std::string & | msg )
| virtual

Report a syntax error.

Parameters

  loc | where the syntax error is found.
  msg | a description of the syntax error.

Definition at line 3408 of file d2_parser.cc.

Referenced by error(), and parse().

## ◆ error() [2/2]

void isc::d2::D2Parser::error | ( | const syntax_error & | err | ) |

Report a syntax error.

Definition at line 2671 of file d2_parser.cc.

References error(), and isc::d2::D2Parser::syntax_error::location.

Here is the call graph for this function:

## ◆ make_ALGORITHM()

symbol_type isc::d2::D2Parser::make_ALGORITHM | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1704 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_ALGORITHM.

Referenced by while().

## ◆ make_AUTHENTICATION()

symbol_type isc::d2::D2Parser::make_AUTHENTICATION | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1899 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_AUTHENTICATION.

Referenced by while().

## ◆ make_BASIC()

symbol_type isc::d2::D2Parser::make_BASIC | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1929 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_BASIC.

Referenced by while().

## ◆ make_BOOLEAN()

symbol_type isc::d2::D2Parser::make_BOOLEAN | ( | const bool & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 2499 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_BOOLEAN.

Referenced by while().

## ◆ make_CERT_FILE()

symbol_type isc::d2::D2Parser::make_CERT_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2064 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_CERT_FILE.

Referenced by while().

## ◆ make_CERT_REQUIRED()

symbol_type isc::d2::D2Parser::make_CERT_REQUIRED | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2094 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_CERT_REQUIRED.

Referenced by while().

## ◆ make_CLIENTS()

symbol_type isc::d2::D2Parser::make_CLIENTS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1974 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_CLIENTS.

Referenced by while().

## ◆ make_COLON()

symbol_type isc::d2::D2Parser::make_COLON | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1344 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_COLON.

Referenced by while().

## ◆ make_COMMA()

symbol_type isc::d2::D2Parser::make_COMMA | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1329 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_COMMA.

Referenced by while().

## ◆ make_COMMENT()

symbol_type isc::d2::D2Parser::make_COMMENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1584 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_COMMENT.

Referenced by while().

## ◆ make_CONTROL_SOCKET()

symbol_type isc::d2::D2Parser::make_CONTROL_SOCKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1764 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_CONTROL_SOCKET.

Referenced by while().

## ◆ make_CONTROL_SOCKETS()

symbol_type isc::d2::D2Parser::make_CONTROL_SOCKETS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1779 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_CONTROL_SOCKETS.

Referenced by while().

## ◆ make_D2_PARSER_error()

symbol_type isc::d2::D2Parser::make_D2_PARSER_error | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1299 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_D2_PARSER_error.

## ◆ make_D2_PARSER_UNDEF()

symbol_type isc::d2::D2Parser::make_D2_PARSER_UNDEF | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1314 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_D2_PARSER_UNDEF.

## ◆ make_DDNS_DOMAINS()

symbol_type isc::d2::D2Parser::make_DDNS_DOMAINS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1629 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_DDNS_DOMAINS.

Referenced by while().

## ◆ make_DEBUGLEVEL()

symbol_type isc::d2::D2Parser::make_DEBUGLEVEL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2214 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_DEBUGLEVEL.

Referenced by while().

## ◆ make_DHCPDDNS()

symbol_type isc::d2::D2Parser::make_DHCPDDNS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1434 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_DHCPDDNS.

Referenced by while().

## ◆ make_DIGEST_BITS()

symbol_type isc::d2::D2Parser::make_DIGEST_BITS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1719 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_DIGEST_BITS.

Referenced by while().

## ◆ make_DIRECTORY()

symbol_type isc::d2::D2Parser::make_DIRECTORY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1959 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_DIRECTORY.

Referenced by while().

## ◆ make_DNS_SERVER_TIMEOUT()

symbol_type isc::d2::D2Parser::make_DNS_SERVER_TIMEOUT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1479 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_DNS_SERVER_TIMEOUT.

Referenced by while().

## ◆ make_DNS_SERVERS()

symbol_type isc::d2::D2Parser::make_DNS_SERVERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1659 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_DNS_SERVERS.

Referenced by while().

## ◆ make_END()

symbol_type isc::d2::D2Parser::make_END | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1284 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_END.

Referenced by while().

## ◆ make_FLOAT()

symbol_type isc::d2::D2Parser::make_FLOAT | ( | const double & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 2484 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_FLOAT.

Referenced by while().

## ◆ make_FLUSH()

symbol_type isc::d2::D2Parser::make_FLUSH | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2244 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_FLUSH.

Referenced by while().

## ◆ make_FORWARD_DDNS()

symbol_type isc::d2::D2Parser::make_FORWARD_DDNS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1599 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_FORWARD_DDNS.

Referenced by while().

## ◆ make_HOOKS_LIBRARIES()

symbol_type isc::d2::D2Parser::make_HOOKS_LIBRARIES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2109 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_HOOKS_LIBRARIES.

Referenced by while().

## ◆ make_HOSTNAME()

symbol_type isc::d2::D2Parser::make_HOSTNAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1674 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_HOSTNAME.

Referenced by while().

## ◆ make_HTTP()

symbol_type isc::d2::D2Parser::make_HTTP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1824 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_HTTP.

Referenced by while().

## ◆ make_HTTPS()

symbol_type isc::d2::D2Parser::make_HTTPS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1839 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_HTTPS.

Referenced by while().

## ◆ make_INTEGER()

symbol_type isc::d2::D2Parser::make_INTEGER | ( | const int64_t & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 2469 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_INTEGER.

Referenced by while().

## ◆ make_IP_ADDRESS()

symbol_type isc::d2::D2Parser::make_IP_ADDRESS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1449 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_IP_ADDRESS.

Referenced by while().

## ◆ make_JSON()

symbol_type isc::d2::D2Parser::make_JSON | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1554 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_JSON.

Referenced by while().

## ◆ make_KEY_FILE()

symbol_type isc::d2::D2Parser::make_KEY_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2079 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_KEY_FILE.

Referenced by while().

## ◆ make_KEY_NAME()

symbol_type isc::d2::D2Parser::make_KEY_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1644 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_KEY_NAME.

Referenced by while().

## ◆ make_LCURLY_BRACKET()

symbol_type isc::d2::D2Parser::make_LCURLY_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1389 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_LCURLY_BRACKET.

Referenced by while().

## ◆ make_LIBRARY()

symbol_type isc::d2::D2Parser::make_LIBRARY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2124 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_LIBRARY.

Referenced by while().

## ◆ make_LOGGERS()

symbol_type isc::d2::D2Parser::make_LOGGERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2154 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_LOGGERS.

Referenced by while().

## ◆ make_LSQUARE_BRACKET()

symbol_type isc::d2::D2Parser::make_LSQUARE_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1359 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_LSQUARE_BRACKET.

Referenced by while().

## ◆ make_MAXSIZE()

symbol_type isc::d2::D2Parser::make_MAXSIZE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2259 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_MAXSIZE.

Referenced by while().

## ◆ make_MAXVER()

symbol_type isc::d2::D2Parser::make_MAXVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2274 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_MAXVER.

Referenced by while().

## ◆ make_NAME()

symbol_type isc::d2::D2Parser::make_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2169 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_NAME.

Referenced by while().

## ◆ make_NCR_FORMAT()

symbol_type isc::d2::D2Parser::make_NCR_FORMAT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1539 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_NCR_FORMAT.

Referenced by while().

## ◆ make_NCR_PROTOCOL()

symbol_type isc::d2::D2Parser::make_NCR_PROTOCOL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1494 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_NCR_PROTOCOL.

Referenced by while().

## ◆ make_NULL_TYPE()

symbol_type isc::d2::D2Parser::make_NULL_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1419 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_NULL_TYPE.

Referenced by while().

## ◆ make_OUTPUT()

symbol_type isc::d2::D2Parser::make_OUTPUT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2199 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_OUTPUT.

Referenced by while().

## ◆ make_OUTPUT_OPTIONS()

symbol_type isc::d2::D2Parser::make_OUTPUT_OPTIONS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2184 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_OUTPUT_OPTIONS.

Referenced by while().

## ◆ make_PARAMETERS()

symbol_type isc::d2::D2Parser::make_PARAMETERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2139 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_PARAMETERS.

Referenced by while().

## ◆ make_PASSWORD()

symbol_type isc::d2::D2Parser::make_PASSWORD | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2019 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_PASSWORD.

Referenced by while().

## ◆ make_PASSWORD_FILE()

symbol_type isc::d2::D2Parser::make_PASSWORD_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2034 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_PASSWORD_FILE.

Referenced by while().

## ◆ make_PATTERN()

symbol_type isc::d2::D2Parser::make_PATTERN | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2289 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_PATTERN.

Referenced by while().

## ◆ make_PORT()

symbol_type isc::d2::D2Parser::make_PORT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1464 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_PORT.

Referenced by while().

## ◆ make_RCURLY_BRACKET()

symbol_type isc::d2::D2Parser::make_RCURLY_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1404 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_RCURLY_BRACKET.

Referenced by while().

## ◆ make_REALM()

symbol_type isc::d2::D2Parser::make_REALM | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1944 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_REALM.

Referenced by while().

## ◆ make_REVERSE_DDNS()

symbol_type isc::d2::D2Parser::make_REVERSE_DDNS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1614 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_REVERSE_DDNS.

Referenced by while().

## ◆ make_RSQUARE_BRACKET()

symbol_type isc::d2::D2Parser::make_RSQUARE_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1374 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_RSQUARE_BRACKET.

Referenced by while().

## ◆ make_SECRET()

symbol_type isc::d2::D2Parser::make_SECRET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1734 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SECRET.

Referenced by while().

## ◆ make_SECRET_FILE()

symbol_type isc::d2::D2Parser::make_SECRET_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1749 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SECRET_FILE.

Referenced by while().

## ◆ make_SEVERITY()

symbol_type isc::d2::D2Parser::make_SEVERITY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2229 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SEVERITY.

Referenced by while().

## ◆ make_SOCKET_ADDRESS()

symbol_type isc::d2::D2Parser::make_SOCKET_ADDRESS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1869 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SOCKET_ADDRESS.

Referenced by while().

## ◆ make_SOCKET_NAME()

symbol_type isc::d2::D2Parser::make_SOCKET_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1854 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SOCKET_NAME.

Referenced by while().

## ◆ make_SOCKET_PORT()

symbol_type isc::d2::D2Parser::make_SOCKET_PORT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1884 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SOCKET_PORT.

Referenced by while().

## ◆ make_SOCKET_TYPE()

symbol_type isc::d2::D2Parser::make_SOCKET_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1794 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SOCKET_TYPE.

Referenced by while().

## ◆ make_STRING()

symbol_type isc::d2::D2Parser::make_STRING | ( | const std::string & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 2454 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_STRING.

Referenced by while().

## ◆ make_SUB_DDNS_DOMAIN()

symbol_type isc::d2::D2Parser::make_SUB_DDNS_DOMAIN | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2379 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SUB_DDNS_DOMAIN.

Referenced by if().

## ◆ make_SUB_DDNS_DOMAINS()

symbol_type isc::d2::D2Parser::make_SUB_DDNS_DOMAINS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2394 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SUB_DDNS_DOMAINS.

Referenced by if().

## ◆ make_SUB_DHCPDDNS()

symbol_type isc::d2::D2Parser::make_SUB_DHCPDDNS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2334 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SUB_DHCPDDNS.

Referenced by if().

## ◆ make_SUB_DNS_SERVER()

symbol_type isc::d2::D2Parser::make_SUB_DNS_SERVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2409 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SUB_DNS_SERVER.

Referenced by if().

## ◆ make_SUB_DNS_SERVERS()

symbol_type isc::d2::D2Parser::make_SUB_DNS_SERVERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2424 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SUB_DNS_SERVERS.

## ◆ make_SUB_HOOKS_LIBRARY()

symbol_type isc::d2::D2Parser::make_SUB_HOOKS_LIBRARY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2439 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SUB_HOOKS_LIBRARY.

Referenced by if().

## ◆ make_SUB_TSIG_KEY()

symbol_type isc::d2::D2Parser::make_SUB_TSIG_KEY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2349 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SUB_TSIG_KEY.

Referenced by if().

## ◆ make_SUB_TSIG_KEYS()

symbol_type isc::d2::D2Parser::make_SUB_TSIG_KEYS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2364 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_SUB_TSIG_KEYS.

Referenced by if().

## ◆ make_TCP()

symbol_type isc::d2::D2Parser::make_TCP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1524 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_TCP.

Referenced by while().

## ◆ make_TOPLEVEL_DHCPDDNS()

symbol_type isc::d2::D2Parser::make_TOPLEVEL_DHCPDDNS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2319 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_TOPLEVEL_DHCPDDNS.

Referenced by if().

## ◆ make_TOPLEVEL_JSON()

symbol_type isc::d2::D2Parser::make_TOPLEVEL_JSON | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2304 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_TOPLEVEL_JSON.

Referenced by if().

## ◆ make_TRUST_ANCHOR()

symbol_type isc::d2::D2Parser::make_TRUST_ANCHOR | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2049 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_TRUST_ANCHOR.

Referenced by while().

## ◆ make_TSIG_KEYS()

symbol_type isc::d2::D2Parser::make_TSIG_KEYS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1689 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_TSIG_KEYS.

Referenced by while().

## ◆ make_TYPE()

symbol_type isc::d2::D2Parser::make_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1914 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_TYPE.

Referenced by while().

## ◆ make_UDP()

symbol_type isc::d2::D2Parser::make_UDP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1509 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_UDP.

Referenced by while().

## ◆ make_UNIX()

symbol_type isc::d2::D2Parser::make_UNIX | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1809 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_UNIX.

Referenced by while().

## ◆ make_USER()

symbol_type isc::d2::D2Parser::make_USER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1989 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_USER.

Referenced by while().

## ◆ make_USER_CONTEXT()

symbol_type isc::d2::D2Parser::make_USER_CONTEXT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1569 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_USER_CONTEXT.

Referenced by while().

## ◆ make_USER_FILE()

symbol_type isc::d2::D2Parser::make_USER_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2004 of file d2_parser.h.

References isc::d2::D2Parser::token::TOKEN_USER_FILE.

Referenced by while().

## ◆ operator()()

int isc::d2::D2Parser::operator() | ( |  | ) |

Parse.

An alias for parse ().

Returns
  0 iff parsing succeeded.

Definition at line 530 of file d2_parser.cc.

References parse().

Here is the call graph for this function:

## ◆ parse()

int isc::d2::D2Parser::parse | ( |  | ) |
| virtual

Parse.

Returns
  0 iff parsing succeeded.

Length of the RHS of the rule being reduced.

The lookahead symbol.

The locations where the error started and ended.

The return value of parse ().

Definition at line 536 of file d2_parser.cc.

References isc::d2::D2Parser::value_type::as(), isc::d2::D2Parser::basic_symbol< Base >::clear(), isc::d2::D2Parser::value_type::emplace(), isc::d2::D2Parser::basic_symbol< Base >::empty(), error(), isc::d2::D2Parser::by_kind::kind(), isc::d2::D2Parser::by_kind::kind_, isc::d2::D2Parser::basic_symbol< Base >::location, isc::data::merge(), isc::d2::D2Parser::basic_symbol< Base >::move(), isc::d2::D2Parser::symbol_kind::S_auth_type_value, isc::d2::D2Parser::symbol_kind::S_BOOLEAN, isc::d2::D2Parser::symbol_kind::S_control_socket_type_value, isc::d2::D2Parser::symbol_kind::S_FLOAT, isc::d2::D2Parser::symbol_kind::S_INTEGER, isc::d2::D2Parser::symbol_kind::S_map_value, isc::d2::D2Parser::symbol_kind::S_ncr_protocol_value, isc::d2::D2Parser::symbol_kind::S_STRING, isc::d2::D2Parser::symbol_kind::S_value, isc::d2::D2Parser::symbol_kind::S_YYEOF, isc::d2::D2Parser::symbol_kind::S_YYerror, isc::d2::D2Parser::symbol_kind::S_YYUNDEF, isc::d2::D2Parser::basic_symbol< Base >::value, YY_MOVE, YY_REDUCE_PRINT, YY_STACK_PRINT, YY_SYMBOL_PRINT, YYABORT, YYACCEPT, YYCDEBUG, YYERROR, yylex, and YYLLOC_DEFAULT.

Referenced by operator()().

Here is the call graph for this function:

## ◆ symbol_name()

std::string isc::d2::D2Parser::symbol_name | ( | symbol_kind_type | yysymbol | ) |
| static

The user-facing name of the symbol whose (internal) number is YYSYMBOL.

No bounds checking.

Definition at line 2717 of file d2_parser.cc.

Referenced by isc::d2::D2Parser::basic_symbol< by_kind >::name().

## Member Data Documentation

## ◆ YYNTOKENS

const symbol_kind_type isc::d2::D2Parser::YYNTOKENS = symbol_kind::YYNTOKENS
| static

The number of tokens.

Definition at line 883 of file d2_parser.h.

Referenced by isc::d2::D2Parser::context::expected_tokens().

The documentation for this class was generated from the following files:

- d2_parser.h
- d2_parser.cc